Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# qobjectcleanuphandler.h

This is the verbatim text of the qobjectcleanuphandler.h include file. It is provided only for illustration; the copyright remains with Trolltech.

    #ifndef QOBJECTCLEANUPHANDLER_H
    #define QOBJECTCLEANUPHANDLER_H

    #ifndef QT_H
    #include <qobject.h>
    #endif // QT_H

    class QObjectList;

    class Q_EXPORT QObjectCleanupHandler : public QObject
    {
        Q_OBJECT

    public:
        QObjectCleanupHandler();
        ~QObjectCleanupHandler();

        QObject* add( QObject* object );
        void remove( QObject *object );
        bool isEmpty() const;
        void clear();

    private:
        QObjectList *cleanupObjects;

    private slots:
        void objectDestroyed( QObject * );
    };

    #endif // QOBJECTCLEANUPHANDLER_H